#ifndef __DEFINES_H
#define __DEFINES_H

typedef        unsigned char  u8;
typedef        signed char    s8;

typedef        unsigned int   u16;
typedef        signed int     s16;

typedef        unsigned long  u32;
typedef        signed long    s32;

			/* 8-Bit Struktur */
typedef struct {unsigned b7:1;
                unsigned b6:1;
                unsigned b5:1;
                unsigned b4:1;
                unsigned b3:1;
                unsigned b2:1;
                unsigned b1:1;
                unsigned b0:1;
                unsigned   :8;
               } bt8;

typedef union {u8  c1u8;
               bt8 c1bt;
//             u8 *ptr;
              } union_u8;

			/* 16-Bit Struktur */
typedef struct {unsigned b15: 1;
                unsigned b14: 1;
                unsigned b13: 1;
                unsigned b12: 1;
                unsigned b11: 1;
                unsigned b10: 1;
                unsigned b9: 1;
                unsigned b8: 1;
                unsigned b7: 1;
                unsigned b6: 1;
                unsigned b5: 1;
                unsigned b4: 1;
                unsigned b3: 1;
                unsigned b2: 1;
                unsigned b1: 1;
                unsigned b0: 1;
               } bt16;

typedef union {u16  c2u16;
               u8   c2u8[2];
               bt16 c2bt;
               u8 *ptr;
              } union_u16;

#define h_u8 c2u8[0]
#define l_u8 c2u8[1]

			/* 32-Bit Struktur */
typedef struct {unsigned b31: 1;
                unsigned b30: 1;
                unsigned b29: 1;
                unsigned b28: 1;
                unsigned b27: 1;
                unsigned b26: 1;
                unsigned b25: 1;
                unsigned b24: 1;
                unsigned b23: 1;
                unsigned b22: 1;
                unsigned b21: 1;
                unsigned b20: 1;
                unsigned b19: 1;
                unsigned b18: 1;
                unsigned b17: 1;
                unsigned b16: 1;
                unsigned b15: 1;
                unsigned b14: 1;
                unsigned b13: 1;
                unsigned b12: 1;
                unsigned b11: 1;
                unsigned b10: 1;
                unsigned b9: 1;
                unsigned b8: 1;
                unsigned b7: 1;
                unsigned b6: 1;
                unsigned b5: 1;
                unsigned b4: 1;
                unsigned b3: 1;
                unsigned b2: 1;
                unsigned b1: 1;
                unsigned b0: 1;
               } bt32;

typedef union {u32  c4u32;
               u16  c4u16[2];
               u8   c4u8[4];
               bt32 c4bt;
               u8 *ptr;
              } union_u32;

#define EIN      1
#define AUS      0
#define TRUE     1
#define FALSE    0
#define ON       1
#define OFF      0
#define MESSWERT_IN_ORDNUNG       1
#define MESSWERT_NICHT_IN_ORDNUNG 2


#define MASK_BIT0   0x01
#define MASK_BIT1   0x02
#define MASK_BIT2   0x04
#define MASK_BIT3   0x08
#define MASK_BIT4   0x10
#define MASK_BIT5   0x20
#define MASK_BIT6   0x40
#define MASK_BIT7   0x80

#endif
