/*========================================================================
** MODULE       : df_all.h
**------------------------------------------------------------------------
** PROJECT      : ENKO Logik_Modul
** DESCRIPTION  : Definitionen allgemeiner Art
** VERSION      : 1.00
** LAST CHANGE  : 14.08.2006
**------------------------------------------------------------------------
** DEVICE       : ATmega64
** COMPILER     : avr-gcc 3.3.2 
**------------------------------------------------------------------------
** AUTHOR       : 
**------------------------------------------------------------------------
** NOTES        :
** 25.07.2004     Erstellung
** 23.09.2004     Anpassung an das Logik-Modul (nicht bentigte Definitionen
**                entfernt)
** 24.09.2004     Defines fr Temperaturberechnung hinzugefgt
**
**========================================================================
*/       
                    
#ifndef df_allH
#define df_allH  

 
// Definition von ntzlichen Makros

#define         Low(wort)       ((char)(wort&0x00ff)) // Liefert das Low-Byte eines Wortes
#define         High(wort)      ((char)(wort>>8))     // Liefert das High-Byte eines Wortes

#define         ChkBit(ADRESS,BIT)     (ADRESS &   (1l<<BIT))  // Prft, ob ein Bit gesetzt ist
#define         SetBit(ADRESS,BIT)     (ADRESS |=  (1l<<BIT))  // Setzt ein Bit auf "1"
#define         ClrBit(ADRESS,BIT)     (ADRESS &= ~(1l<<BIT))  // Setzt ein Bit auf "0"


#define         LED1_on          ClrBit(PORTE, PE7)  // Leuchtdiode an
#define         LED1_off         SetBit(PORTE, PE7)  // Leuchtdiode aus

#define         LED2_on          ClrBit(PORTE, PE6)  // Leuchtdiode an
#define         LED2_off         SetBit(PORTE, PE6)  // Leuchtdiode aus

// Definitionen von Konstanten
#define         CAL_ADDR               0                     // Adresse des Kalibrierungsbytes im EEPROM


// Definitionen fr IO-Ports
#define         DIGI_IN1               ChkBit(PINB, PINB0)
#define         DIGI_IN2               ChkBit(PINB, PINB1)
#define         DIGI_IN3               ChkBit(PINB, PINB2)
#define         DIGI_IN4               ChkBit(PINB, PINB3)
#define         DIGI_IN5               ChkBit(PINB, PINB4)

#define         SET_DIGI_OUT1          SetBit(PORTC, PC4)
#define         CLR_DIGI_OUT1          ClrBit(PORTC, PC4)

#define         SET_DIGI_OUT2          SetBit(PORTC, PC5)
#define         CLR_DIGI_OUT2          ClrBit(PORTC, PC5)

#define         SET_DIGI_OUT3          SetBit(PORTC, PC6)
#define         CLR_DIGI_OUT3          ClrBit(PORTC, PC6)

#define         SET_DIGI_OUT4          SetBit(PORTC, PC7)
#define         CLR_DIGI_OUT4          ClrBit(PORTC, PC7)

#define         SET_DIGI_OUT5          SetBit(PORTD, PD6)
#define         CLR_DIGI_OUT5          ClrBit(PORTD, PD6)

#define         uiR_MESS1              uiADCWerte[0]
#define         uiR_MESS2              uiADCWerte[1]
#define         uiR_MESS3              uiADCWerte[2]
#define         uiR_MESS4              uiADCWerte[3]
#define         uiBAT_MESS             uiADCWerte[4]
#define         uiSENSE1               uiADCWerte[5]
#define         uiSENSE2               uiADCWerte[6]
#define         uiSENSE3               uiADCWerte[7]

#endif



